%define		xfce_version	4.16.0
Summary:	Calendar for Xfce
Summary(pl.UTF-8):	Kalendarz dla Xfce
Name:		orage
Version:	4.18.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/apps/orage/4.18/%{name}-%{version}.tar.bz2
# Source0-md5:	c12765da61022c710bb0d5aab3c9c56f
Patch0:		libical3.patch
URL:		https://www.xfce.org/projects/orage
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	libical-devel >= 0.43
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme >= 0.12-4
Obsoletes:	xfcalendar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orage is a time-managing application that is part of the Xfce Desktop
Environment and features a calendar window, lists of events and
reminders. It also provides an easy way to archive and manage your old
appointments.

%description -l pl.UTF-8
Orage to aplikacja do zarządzania czasem będąca częścią środowiska
graficznego Xfce. Zawiera okno kalendarza, listę wydarzeń i
przypominajek. Udostępnia także łatwy sposób archiwizowania i
zarządzania starymi spotkaniami.

%prep
%setup -q
#%patch0 -p1

%build
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK
# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/hy_AM

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/orage
%{_datadir}/orage
%{_desktopdir}/org.xfce.orage.desktop
%{_desktopdir}/org.xfce.orage-settings.desktop
%{_datadir}/dbus-1/services/org.xfce.orage.service
%{_datadir}/metainfo/org.xfce.orage.appdata.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Wed Feb 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/orage.git;a=log;h=master

* Wed Feb 08 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9333afe
- up to 4.18.0

* Tue Dec 29 2020 Jan Rękorajski <baggins@pld-linux.org> 89abaeb
- release 4 (by relup.sh)

* Sun Oct 20 2019 Jan Rękorajski <baggins@pld-linux.org> a02cf11
- fix building with libical 3.0
- rel 3

* Fri Oct 18 2019 Jan Rękorajski <baggins@pld-linux.org> 1cbd906
- release 2 (by relup.sh)

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> b8dc3f8
- up to 4.12.1

* Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c60dbb4
- release 5 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> fd44df1
- release 4 (by relup.sh)

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 7698ff4
- rel 3

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 354f323
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b5542ff
- updated gettext BR

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> b306eae
- up to 4.10.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3dcda9a
- release 2

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 40fa468
- up to 4.8.3

* Tue Dec 20 2011 lisu <lisu@pld-linux.org> 3f14a10
- package /usr/share/icons/hicolor/160x160/*.xpm (requires hicolor-icon-theme >= 0.12-4)
- rel 3

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> a338286
- remove unwanted dir, not leave off packaging

* Tue Dec 20 2011 lisu <lisu@pld-linux.org> fe7c894
- there is no /usr/share/icons/hicolor/160x160 dir
- rel 2

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 2333b1e
- 4.8.2
- merges post scripts

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> e110de2
- update-desktop-database (.desktop specifies MimeType)

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> ad387fc
- comment

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 56610b6
- release 2

